"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const config_1 = require("../../lib/config");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
class ListStackCommand extends core_1.Command {
    async run() {
        const config = config_1.ShellConfig.read({}, this);
        await this.execute(config);
    }
    async execute(config) {
        await this.parse();
        if (config.projectConfig === undefined) {
            this.error("No project config found");
        }
        this.log("Available stacks:");
        for (const key of Object.keys(config.projectConfig.stacks)) {
            if (config.projectConfig.defaultStack === key) {
                this.log(chalk_1.default.green("* ") + key);
            }
            else {
                this.log("  " + key);
            }
        }
    }
}
ListStackCommand.flags = {};
ListStackCommand.description = "List stacks available in `.fauna-project`.";
ListStackCommand.examples = ["$ fauna stack list"];
exports.default = ListStackCommand;
