import { RootConfig, Config } from ".";
export declare class ProjectConfig {
    defaultStack?: string;
    schemaDir?: string;
    stacks: {
        [key: string]: Stack;
    };
    static DEFAULT_FIELD_NAME: string;
    static SCHEMA_DIRECTORY_FIELD_NAME: string;
    static STACK_FIELD_NAME: string;
    /**
     * This method is used to obtain an empty project config when fauna project init is used.
     */
    static initialConfig(fslDir?: string): ProjectConfig;
    private constructor();
    static fromConfig(config: Config): ProjectConfig;
    validate(rootConfig: RootConfig): void;
    save(path: string): void;
}
export declare class Stack {
    /**
     * The endpoint name to use as a base.
     */
    endpoint: string;
    /**
     * The database path to use.
     */
    database: string;
    constructor(config: Config);
}
